org.apache.flume.sink.hive

## Class HiveSink

- java.lang.Object
- - org.apache.flume.sink.AbstractSink
  - - org.apache.flume.sink.hive.HiveSink

- All Implemented Interfaces:
    Configurable, LifecycleAware, NamedComponent, Sink

      public class HiveSink
      extends AbstractSink
      implements Configurable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.flume.Sink

      `Sink.Status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HiveSink()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `protected SinkCounter` | `getCounter()`
    `Sink.Status` | `process()` Pull events out of channel, find corresponding HiveWriter and write to it.
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.flume.sink.AbstractSink

      `getChannel, getLifecycleState, getName, setChannel, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HiveSink

          public HiveSink()

  - ### Method Detail

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### getCounter

          protected SinkCounter getCounter()

    - #### process

          public Sink.Status process()
                              throws EventDeliveryException

      Pull events out of channel, find corresponding HiveWriter and write to it. Take at most batchSize events per Transaction.
      This method is not thread safe.
      Specified by:
        `process` in interface `Sink`
      Returns:
        READY if 1 or more Events were successfully delivered, BACKOFF if no data could be retrieved from the channel feeding this sink
      Throws:
        `EventDeliveryException` - In case of any kind of failure to deliver data to the next hop destination.

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`
      Overrides:
        `stop` in class `AbstractSink`

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`
      Overrides:
        `start` in class `AbstractSink`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractSink`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.